#ifndef __MAIN_H
#define __MAIN_H

#include "ad7606.h"
#include "am2303.h"
#include "bsp_fatfs.h"
#include "fly_param.h"
#include "ftp_server.h"
#include "includes.h"
#include "interface.h"
#include "iwdg.h"
#include "key.h"
#include "modbus.h"
#include "nand_flash.h"
#include "net.h"
#include "nor_flash.h"
#include "os_cpu.h"
#include "stm32f4x7_phy.h"
#include "stm32f4xx.h"
#include "usbh_bsp_msc.h"
#include <stdio.h>

void bsp_init(void);
void init_task(void *pvParameters);
void misc_task(void);
// void iec104_task(void);
void modbus_tcp_task(void);

INT32U iec10x_regist(void);
#endif